export function componentDidMount() {
  didMountSwitchLatLng(this, false)
}

export function didMountSwitchLatLng(self, switchLatLng=false) {
  self.createRandomMarkers(switchLatLng);
  self.setState({startTime: performance.now()});

  // move the markers
  if(self.state.moveMarkers){
    self.timer = setInterval(() => {
      self.setState({currStep: self.state.currStep + 1});
      self.calcMarkerPosition()
    }, self.state.interval);
  }

  // generate some test time data
  else if(self.state.generateTimeData){
//    let noOfMarkers = [1,5,10,20,30,40,50,75,100,150,200];
//    let interval = 1000;
//    let noOfMarkers = [300,400,500,1000,2000,3000,4000];
//    let interval = 5000;
//    let noOfMarkers = [5000,6000,7000,8000,9000,10000]
//    let interval = 10000;
//    let noOfMarkers = [15000, 20000, 25000,30000, 35000, 40000];
//    let interval = 30000;
    let noOfMarkers = [1000, 100];
    let interval = 7000;
    let i = 0;
    self.timer = setInterval(() => {
      i = i % noOfMarkers.length
      self.setState(
        {noOfMarkers: noOfMarkers[i]},
        () => {
          i = i+1
          self.measurementsDiv.current.innerHTML = ""
          self.createRandomMarkers(switchLatLng)
        }
      )
    }, interval);
  }
}

export function componentDidUpdate() {
  if(this.state.currStep===this.state.noOfSteps){
    let endTime = performance.now();
    let duration = endTime - this.state.startTime
    let msg = "Duration " + duration.toFixed(3) + " for " + this.state.noOfSteps + " steps"
    console.log(msg)
    this.markerInfoDiv.current.innerHTML = msg
    this.setState({currStep: this.state.currStep + 1});
  }
}

export function componentWillUnmount() {
  clearInterval(this.timer);
}